## hw-detect 1.91ubuntu1

=== debian/changelog ===
hw-detect (1.91ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Remove FireWire Ethernet support.
    - Register lp module on i386 and amd64.
    - Exit zero if you continue all the way through ethdetect's errors about
      having no network interfaces.
    - Register rtc module on amd64.
    - Drop priorities of a couple of ethdetect questions to medium.
    - On powerpc/ps3 systems, load ps3rom, ps3disk, and ps3_gelic, and add
      snd_ps3 to /etc/modules.
    - Install elfspe2 on Cell (powerpc/ps3 and powerpc/cell) platforms.
    - disk-detect.sh: Do not check the kernel command line for any option
      to enable dmraid support. If functional dmraid arrays are found, the
      user will be asked if they wish to activate them.
    - Make dmraid logging a bit neater.
    - 'dmraid -c -s' changed its output format; cope with both old and new.
    - Remove dm-emc from the multipath modules, since it's gone since
      2.6.27.
    - Improve checks for dm-* drivers being present to avoid relying on them
      being built as modules.
    - Offer iSCSI targets for preseeding if partman-iscsi is available and
      no disk devices are found.
    - Stop installing acpi, acpid, and acpi-support-base if acpi is
      available.
    - Add an 'archdetect-deb' package, containing /usr/bin/archdetect.  Add
      an archdetect(1) manual page.
    - Refer to /usr/share/common-licenses/GPL-2 in debian/copyright.
    - Load xenbus_probe_frontend if we're running under the Xen hypervisor.
    - Redirect update-dev output to /dev/null, as it is in principle
      possible for it to write to stdout and that would interfere with
      debconf.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Nov 2012 15:40:15 +0000

hw-detect (1.91) unstable; urgency=low

  * Replace XC-Package-Type by Package-Type in debian/control
  * Add myself to Uploaders

  [ Updated translations ]
  * Asturian (ast.po) by ivarela
  * Galician (gl.po) by Jorge Barreiro

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Oct 2012 20:39:13 +0200

hw-detect (1.90) unstable; urgency=low

  [ Updated translations ]
  * French (fr.po) by Christian Perrier
  * Croatian (hr.po) by Tomislav Krznar

 -- Christian Perrier <bubulle@debian.org>  Thu, 26 Jul 2012 02:08:00 +0200

hw-detect (1.89ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Remove FireWire Ethernet support.
    - Register lp module on i386 and amd64.
    - Exit zero if you continue all the way through ethdetect's errors about
      having no network interfaces.
    - Register rtc module on amd64.
    - Drop priorities of a couple of ethdetect questions to medium.
    - On powerpc/ps3 systems, load ps3rom, ps3disk, and ps3_gelic, and add
      snd_ps3 to /etc/modules.
    - Install elfspe2 on Cell (powerpc/ps3 and powerpc/cell) platforms.
    - disk-detect.sh: Do not check the kernel command line for any option
      to enable dmraid support. If functional dmraid arrays are found, the
      user will be asked if they wish to activate them.
    - Make dmraid logging a bit neater.
    - 'dmraid -c -s' changed its output format; cope with both old and new.
    - Remove dm-emc from the multipath modules, since it's gone since
      2.6.27.
    - Improve checks for dm-* drivers being present to avoid relying on them
      being built as modules.
    - Offer iSCSI targets for preseeding if partman-iscsi is available and
      no disk devices are found.
    - Stop installing acpi, acpid, and acpi-support-base if acpi is
      available.
    - Add an 'archdetect-deb' package, containing /usr/bin/archdetect.  Add
      an archdetect(1) manual page.
    - Refer to /usr/share/common-licenses/GPL-2 in debian/copyright.
    - Load xenbus_probe_frontend if we're running under the Xen hypervisor.
  * Redirect update-dev output to /dev/null, as it is in principle possible
    for it to write to stdout and that would interfere with debconf.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 13 Jul 2012 10:15:53 +0100

hw-detect (1.89) unstable; urgency=low

  * Team upload

  [ Colin Watson ]
  * check-missing-firmware.sh: Use 'readlink -f' rather than 'realpath',
    since this is one of only two places using realpath in d-i at the
    moment.

  [ Joey Hess ]
  * check-missing-firmware: Use udpkg to get the contents of debs,
    in order to support other compression methods than gz.

  [ Updated translations ]
  * Asturian (ast.po) by Mikel González
  * Bulgarian (bg.po) by Damyan Ivanov
  * Tibetan (bo.po) by Tennom
  * Welsh (cy.po) by Dafydd Tomos
  * Estonian (et.po) by Mattias Põldaru
  * Basque (eu.po) by Piarres Beobide
  * Galician (gl.po) by Jorge Barreiro
  * Indonesian (id.po) by Mahyuddin Susanto
  * Icelandic (is.po) by Sveinn í Felli
  * Kannada (kn.po) by Prabodh C P
  * Lithuanian (lt.po) by Rimas Kudelis
  * Latvian (lv.po) by Rūdolfs Mazurs
  * Macedonian (mk.po) by Arangel Angov
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Traditional Chinese (zh_TW.po) by Yao Wei (魏銘廷)

 -- Christian Perrier <bubulle@debian.org>  Fri, 15 Jun 2012 07:21:09 +0200

## hw-detect 1.92

=== debian/changelog ===
hw-detect (1.92) unstable; urgency=low

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach

 -- Christian Perrier <bubulle@debian.org>  Mon, 10 Dec 2012 22:08:28 +0100

=== debian/control ===
Source: hw-detect
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 7.0.50), dpkg-dev (>= 1.9.0), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.76)
Vcs-Browser: http://git.debian.org/?p=d-i/hw-detect.git
Vcs-Git: git://git.debian.org/d-i/hw-detect.git

Package: hw-detect
Package-Type: udeb
Architecture: any
Depends: rootskel (>= 1.30), archdetect, cdebconf-udeb (>= 0.75), di-utils (>= 1.73), pciutils-udeb, udpkg (>= 1.14)
Description: Detect hardware and load kernel drivers for it

Package: ethdetect
Package-Type: udeb
Architecture: all
Priority: optional
Depends: rootskel (>= 1.30), cdebconf-udeb (>= 0.38), hw-detect, di-utils (>= 1.13), pciutils-udeb
Provides: ethernet-card-detection
XB-Installer-Menu-Item: 1700
Description: Detect network hardware and load kernel drivers for it

Package: disk-detect
Package-Type: udeb
Architecture: all
Depends: cdebconf-udeb (>= 0.38), hw-detect, di-utils (>= 1.13), pciutils-udeb
Priority: optional
Provides: harddrive-detection
Enhances: hw-detect
XB-Installer-Menu-Item: 3500
Description: Detect disk drives

Package: driver-injection-disk-detect
Package-Type: udeb
Architecture: all
Depends: cdebconf-udeb (>= 0.38), hw-detect, mountmedia
Priority: optional
Enhances: hw-detect
XB-Installer-Menu-Item: 1500
Description: Detect OEM driver injection disks

Package: archdetect
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}
Description: Hardware architecture detector

## hw-detect 1.95ubuntu1

=== debian/changelog ===
hw-detect (1.95ubuntu1) saucy; urgency=low

  [ Colin Watson ]
  * Resynchronise with Debian.  Remaining changes:
    - Remove FireWire Ethernet support.
    - Register lp module on i386 and amd64.
    - Exit zero if you continue all the way through ethdetect's errors about
      having no network interfaces.
    - Register rtc module on amd64.
    - Drop priorities of a couple of ethdetect questions to medium.
    - disk-detect.sh: Do not check the kernel command line for any option
      to enable dmraid support. If functional dmraid arrays are found, the
      user will be asked if they wish to activate them.
    - Make dmraid logging a bit neater.
    - 'dmraid -c -s' changed its output format; cope with both old and new.
    - Remove dm-emc from the multipath modules, since it's gone since
      2.6.27.
    - Improve checks for dm-* drivers being present to avoid relying on them
      being built as modules.
    - Offer iSCSI targets for preseeding if partman-iscsi is available and
      no disk devices are found.
    - Stop installing acpi, acpid, and acpi-support-base if acpi is
      available.
    - Add an 'archdetect-deb' package, containing /usr/bin/archdetect.  Add
      an archdetect(1) manual page.
    - Refer to /usr/share/common-licenses/GPL-2 in debian/copyright.
    - Load xenbus_probe_frontend if we're running under the Xen hypervisor.
    - Redirect update-dev output to /dev/null, as it is in principle
      possible for it to write to stdout and that would interfere with
      debconf.
  * Drop changes for PS3 and Cell, since we haven't been able to support
    these platforms for some time.

  [ Dmitrijs Ledkovs ]
  * Move firmware/injected drivers' .deb packages installation from
    post-base-installer.d stage to pre-pkgsel.d stage. (LP: #1209287, LP:
    #1216043)
  * Bump question to load driver injection disk from medium to high, and
    raise driver-injection-disk package priority to standard. Thus the
    udeb will be loaded by default, but before installing any debs from
    the OEMDRV a confirmation question will be asked (default true, can be
    pre-seeded)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 04 Oct 2013 10:40:26 +0100

hw-detect (1.95) unstable; urgency=low

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Fri, 16 Aug 2013 12:49:51 +0200

hw-detect (1.94) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Set debian source format to '3.0 (native)'.
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.

 -- Christian Perrier <bubulle@debian.org>  Sat, 13 Jul 2013 14:10:15 +0200

hw-detect (1.93) unstable; urgency=low

  [ Updated translations ]
  * Croatian (hr.po) by Tomislav Krznar

 -- Christian Perrier <bubulle@debian.org>  Fri, 17 May 2013 19:34:43 +0200

hw-detect (1.92ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Remove FireWire Ethernet support.
    - Register lp module on i386 and amd64.
    - Exit zero if you continue all the way through ethdetect's errors about
      having no network interfaces.
    - Register rtc module on amd64.
    - Drop priorities of a couple of ethdetect questions to medium.
    - On powerpc/ps3 systems, load ps3rom, ps3disk, and ps3_gelic, and add
      snd_ps3 to /etc/modules.
    - Install elfspe2 on Cell (powerpc/ps3 and powerpc/cell) platforms.
    - disk-detect.sh: Do not check the kernel command line for any option
      to enable dmraid support. If functional dmraid arrays are found, the
      user will be asked if they wish to activate them.
    - Make dmraid logging a bit neater.
    - 'dmraid -c -s' changed its output format; cope with both old and new.
    - Remove dm-emc from the multipath modules, since it's gone since
      2.6.27.
    - Improve checks for dm-* drivers being present to avoid relying on them
      being built as modules.
    - Offer iSCSI targets for preseeding if partman-iscsi is available and
      no disk devices are found.
    - Stop installing acpi, acpid, and acpi-support-base if acpi is
      available.
    - Add an 'archdetect-deb' package, containing /usr/bin/archdetect.  Add
      an archdetect(1) manual page.
    - Refer to /usr/share/common-licenses/GPL-2 in debian/copyright.
    - Load xenbus_probe_frontend if we're running under the Xen hypervisor.
    - Redirect update-dev output to /dev/null, as it is in principle
      possible for it to write to stdout and that would interfere with
      debconf.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 18 Feb 2013 16:45:36 +0000

## hw-detect 1.95ubuntu2

=== debian/changelog ===
hw-detect (1.95ubuntu2) trusty; urgency=medium

  * Add support for activating fakeraid devices with mdadm.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 13 Feb 2014 21:44:26 +0000

## hw-detect 1.95ubuntu2.1

=== debian/changelog ===
hw-detect (1.95ubuntu2.1) trusty; urgency=medium

  * driver-injection-disk.sh: also probe disks for OEMDRV label (LP: #1332187)

 -- Kent Baxley <kent.baxley@canonical.com>  Fri, 27 Jun 2014 11:52:43 -0500

## hw-detect 1.95ubuntu2.1+7.0trisquel1

=== debian/changelog ===
hw-detect (1.95ubuntu2.1+7.0trisquel1) belenos; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 26 Aug 2014 19:07:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: hw-detect
 Section: debian-installer
 Priority: standard
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>
-Build-Depends: debhelper (>= 7.0.50), dpkg-dev (>= 1.9.0), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.76)
-Vcs-Browser: http://git.debian.org/?p=d-i/hw-detect.git
-Vcs-Git: git://git.debian.org/d-i/hw-detect.git
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.76)
+XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/hw-detect.git
+XS-Debian-Vcs-Git: git://anonscm.debian.org/d-i/hw-detect.git
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/hw-detect/ubuntu
 
 Package: hw-detect
 Package-Type: udeb
@@ -36,7 +38,6 @@
 Package-Type: udeb
 Architecture: all
 Depends: cdebconf-udeb (>= 0.38), hw-detect, mountmedia
-Priority: optional
 Enhances: hw-detect
 XB-Installer-Menu-Item: 1500
 Description: Detect OEM driver injection disks
@@ -46,3 +47,17 @@
 Architecture: any
 Depends: ${shlibs:Depends}
 Description: Hardware architecture detector
+
+Package: archdetect-deb
+Section: utils
+Architecture: any
+Depends: ${shlibs:Depends}
+Description: Hardware architecture detector
+ This package provides the 'archdetect' tool, which displays the current
+ machine architecture and subarchitecture.  The architecture corresponds to
+ that built into dpkg, and describes the CPU (and possibly kernel) types;
+ the subarchitecture distinguishes machines with different boot arrangements
+ that require special handling.
+ .
+ This package would be called 'archdetect', but a udeb of that name already
+ existed for use in the installer.

## hw-detect 1.106

=== debian/changelog ===
hw-detect (1.106) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Add more logging in check-missing-firmware, to make debugging
    easier.

 -- Christian Perrier <bubulle@debian.org>  Wed, 22 Oct 2014 08:17:49 +0200

hw-detect (1.105) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Change check-missing-firmware to look in dmesg for firmware requests
    as the linux kernel and udev no longer tell us via
    /dev/.udev/firmware-missing and /run/udev/firmware-missing which
    firmware files are needed (Closes: #725714).

 -- Christian Perrier <bubulle@debian.org>  Thu, 16 Oct 2014 21:43:52 +0200

hw-detect (1.104) unstable; urgency=low

  [ Updated translations ]
  * German (de.po) by Holger Wansing

 -- Christian Perrier <bubulle@debian.org>  Thu, 25 Sep 2014 07:05:53 +0200

hw-detect (1.103) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Enable hardening when building archdetect.

 -- Christian Perrier <bubulle@debian.org>  Mon, 15 Sep 2014 11:25:54 +0200

hw-detect (1.102) unstable; urgency=low

  * Revert the archdetect vs. archdetect-udeb change (Closes: #761135).
    Reasons include:
     - Disruptive changes are not welcome so late in the release cycle
       (especially when little to nothing has to be gained).
     - No tests have been performed, since debian-installer starts
       failing to build from source.
     - Reusing a package name for a different package-type is a recipe
       for disaster.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 11 Sep 2014 08:32:43 +0200

hw-detect (1.101) unstable; urgency=low

  * Upload to unstable.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 10 Sep 2014 00:03:14 +0200

hw-detect (1.100.0.exp.1) experimental; urgency=low

  * Improve driver injection disk support.  Adjust
    driver-injection-disk.sh to also probe disks for OEMDRV label (LP:
    #1332187).  Patch from Kent Baxley and Ubuntu.
  * Move firmware installation code to pre-pkgsel.d.  Relocate hook to
    move firmware/injected drivers' .deb packages installation from
    post-base-installer.d stage to pre-pkgsel.d stage to make sure it
    is done after any injected drivers are installed in the
    pre-pkgsel.d step (LP: #1209287, LP: #1216043).  Patch from
    Dmitrijs Ledkovs and Ubuntu.
  * Correct email address for Bart Cornelis in changelog to avoid
    lintian error.
  * Introduce archdetect deb package and archdetect(1) manual page.
    This is useful to know what setting d-i uses for architecture.
    Rename udeb to archdetect-udeb providing archdetect for backward
    compatibility, and add new archdetect binary package.  Build with
    hardening flags to ensure binary is hardened.  Based on patch from
    Colin Watson and Ubuntu.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 09 Sep 2014 13:00:39 +0200

hw-detect (1.100) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Correct detection of Macs needing to blacklist snd-aoa
    modules. This should get sound working out of the box on iMac G5
    20 and others (Closes: #650588).  Patch from Risto Suominen and
    Ben Harris.
  * Remove code trying to install the libc6-sparcv9 package on sparc,
    as the package no longer exist since wheezy. (Closes: #505829).

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 09 Sep 2014 10:27:24 +0200

hw-detect (1.99) unstable; urgency=medium

  [ Updated translations ]
  * Bosnian (bs.po) by Amila Valjevčić
  * Hungarian (hu.po) by Judit Gyimesi
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Cyril Brulebois <kibi@debian.org>  Fri, 14 Mar 2014 15:32:19 +0100

hw-detect (1.98) unstable; urgency=low

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Sat, 14 Sep 2013 15:15:28 +0200

hw-detect (1.97) unstable; urgency=low

  [ Colin Watson ]
  * Merge from Ubuntu:
    - Refer to /usr/share/common-licenses/GPL-2 in debian/copyright.
    - Load xenbus_probe_frontend if we're running under the Xen hypervisor
      (LP: #857662).
    - Redirect update-dev output to /dev/null, as it is in principle
      possible for it to write to stdout and that would interfere with
      debconf.

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Sat, 07 Sep 2013 07:43:20 +0200

## hw-detect 1.107

=== debian/changelog ===
hw-detect (1.107) unstable; urgency=low

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen

 -- Christian Perrier <bubulle@debian.org>  Sun, 08 Mar 2015 08:03:17 +0100

## hw-detect 1.108

=== Makefile ===
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Take account of old dpkg-architecture output.
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS := $(subst -gnu,,$(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM))
  ifeq ($(DEB_HOST_ARCH_OS),gnu)
    DEB_HOST_ARCH_OS := hurd
  endif
endif

CC = gcc
ifneq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
export CC=$(DEB_HOST_GNU_TYPE)-gcc
endif
CPPFLAGS =
CFLAGS = -W -Wall -Os -g
CFLAGS_ARCH = -DCPU_TEXT='"$(DEB_HOST_ARCH)"'

# Use hardening flags too
CFLAGS += `dpkg-buildflags --get CFLAGS`
CPPFLAGS += `dpkg-buildflags --get CPPFLAGS`

bindir=$(DESTDIR)/bin/
hpdir=$(DESTDIR)/etc/hotplug.d
netdir=$(DESTDIR)/etc/network
udevdir=$(DESTDIR)/etc/udev/rules.d
didir=$(DESTDIR)/lib/debian-installer.d
fidir=$(DESTDIR)/usr/lib/finish-install.d
sharedir=$(DESTDIR)/usr/share/hw-detect/
postbaseinstallerdir=$(DESTDIR)/usr/lib/post-base-installer.d/
prepkgseldir=$(DESTDIR)/usr/lib/pre-pkgsel.d/
man1dir=$(DESTDIR)/usr/share/man/man1

INSTALL=install
INSTALL_DATA = ${INSTALL} -m 644

all: archdetect devnames-static.gz

test:
	set -e; for sh in *.sh; do sh -n $$sh; done

clean:
	rm -f *~
	rm -f *.o
	rm -f archdetect
	rm -f devnames-static.gz

install: install-hw-detect install-ethdetect install-disk-detect install-driver-injection-disk-detect install-archdetect install-archdetect-deb

install-hw-detect: hw-detect.sh
	$(INSTALL) -d $(bindir)
ifeq ($(DEB_HOST_ARCH_OS),linux)
	$(INSTALL) hw-detect.sh $(bindir)/hw-detect
	$(INSTALL) hotplug-pcmcia.sh $(bindir)/hotplug-pcmcia
	$(INSTALL) sysfs-update-devnames.sh $(bindir)/sysfs-update-devnames
	$(INSTALL) -d $(udevdir)
	$(INSTALL_DATA) net-hotplug.rules $(udevdir)/010_net-hotplug.rules
	$(INSTALL) check-missing-firmware.sh $(bindir)/check-missing-firmware
	$(INSTALL) -d $(postbaseinstallerdir)
	$(INSTALL) hw-detect.post-base-installer.d/* $(postbaseinstallerdir)
	$(INSTALL) -d $(prepkgseldir)
	$(INSTALL) hw-detect.pre-pkgsel.d/* $(prepkgseldir)
	$(INSTALL) -d $(hpdir)/net
	$(INSTALL) net-hotplug.sh $(hpdir)/net/hw-detect.hotplug
	$(INSTALL) -d $(fidir)
	$(INSTALL) hw-detect.finish-install.d/* $(fidir)
ifeq ($(DEB_HOST_ARCH),powerpc)
	$(INSTALL) discover-mac-io.sh $(bindir)/discover-mac-io
	$(INSTALL) discover-ibm.sh $(bindir)/discover-ibm
endif
ifeq ($(DEB_HOST_ARCH),sparc)
	$(INSTALL) discover-sbus.sh $(bindir)/discover-sbus
	$(INSTALL) -d $(sharedir)
	$(INSTALL_DATA) sbus.list $(sharedir)/sbus.list
endif
else
	$(INSTALL) detect-stub.sh $(bindir)/hw-detect
endif

install-ethdetect: ethdetect.sh
	$(INSTALL) -d $(bindir) $(netdir)
	$(INSTALL) ethdetect.sh $(bindir)/ethdetect
	$(INSTALL) -m644 devnames-static.gz $(netdir)/

install-disk-detect: disk-detect.sh
	$(INSTALL) -d $(bindir)
	$(INSTALL) disk-detect.sh $(bindir)/disk-detect

install-driver-injection-disk-detect: driver-injection-disk.sh
	$(INSTALL) -d $(bindir)
	$(INSTALL) driver-injection-disk.sh $(bindir)/driver-injection-disk

install-archdetect: archdetect
	$(INSTALL) -d $(bindir)
	$(INSTALL) archdetect $(bindir)

install-archdetect-deb: archdetect
	$(INSTALL) -d $(bindir)
	$(INSTALL) archdetect $(bindir)
	$(INSTALL) -d $(man1dir)
	$(INSTALL) archdetect.1 $(man1dir)

archdetect: archdetect.o 
	${CC} ${LDFLAGS} -o $@ $^ -ldebian-installer

archdetect.o: %.o:%.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_ARCH) -c $<

devnames-static.gz: devnames-static.txt
	grep -v '^#' $< | gzip -9c > $@

=== debian/changelog ===
hw-detect (1.108) unstable; urgency=high

  * Make sure not to look at past lines in dmesg (Closes: #779546):
    - If user supplies firmware on a USB stick, missing firmware detection
      happens again, and if dmesg hasn't received enough lines to get rid of
      old “firmware: failed to load” entries, the situation looks like it
      hasn't improved.
    - To avoid such a loop, note the timestamp of the last dmesg line after
      having scanned for such lines, and in case missing firmware detection
      runs again, use this timestamp to filter out previous lines in case it's
      still present in the new dmesg output; or use the whole dmesg output if
      that timestamp has vanished.
    - Tested successfully on bare metal with iwlwifi.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 17 Apr 2015 19:24:22 +0200

=== debian/control ===
Source: hw-detect
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.76)
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/hw-detect.git
Vcs-Git: git://anonscm.debian.org/d-i/hw-detect.git

Package: hw-detect
Package-Type: udeb
Architecture: any
Depends: rootskel (>= 1.30), archdetect, cdebconf-udeb (>= 0.75), di-utils (>= 1.73), pciutils-udeb, udpkg (>= 1.14)
Description: Detect hardware and load kernel drivers for it

Package: ethdetect
Package-Type: udeb
Architecture: all
Priority: optional
Depends: rootskel (>= 1.30), cdebconf-udeb (>= 0.38), hw-detect, di-utils (>= 1.13), pciutils-udeb
Provides: ethernet-card-detection
XB-Installer-Menu-Item: 1700
Description: Detect network hardware and load kernel drivers for it

Package: disk-detect
Package-Type: udeb
Architecture: all
Depends: cdebconf-udeb (>= 0.38), hw-detect, di-utils (>= 1.13), pciutils-udeb
Priority: optional
Provides: harddrive-detection
Enhances: hw-detect
XB-Installer-Menu-Item: 3500
Description: Detect disk drives

Package: driver-injection-disk-detect
Package-Type: udeb
Architecture: all
Depends: cdebconf-udeb (>= 0.38), hw-detect, mountmedia
Priority: optional
Enhances: hw-detect
XB-Installer-Menu-Item: 1500
Description: Detect OEM driver injection disks

Package: archdetect
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}
Description: Hardware architecture detector

## hw-detect 1.117ubuntu2

=== debian/changelog ===
hw-detect (1.117ubuntu2) xenial; urgency=medium

  * Enable disk-detect/multipath/enable by default on s390x.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 14 Apr 2016 14:16:02 +0100

hw-detect (1.117ubuntu1) xenial; urgency=low

  * Merge 1.117 from debian to pick up fix for LP: #1559193.

  * Resynchronise with Debian.  Remaining changes:
    - Add an 'archdetect-deb' package, containing /usr/bin/archdetect.  Add
      an archdetect(1) manual page.
    - Add support for activating fakeraid devices with mdadm.
    - disk-detect.sh: Do not check the kernel command line for any option
      to enable dmraid support. If functional dmraid arrays are found, the
      user will be asked if they wish to activate them.
    - 'dmraid -c -s' changed its output format; cope with both old and new.
    - Make dmraid logging a bit neater.
    - Offer iSCSI targets for preseeding if partman-iscsi is available and
      no disk devices are found.
    - disk-detect.sh: Use mpath[a-z] now rather than mpath[0-9] to identify
      multipath devices and thus know to install partman-multipath.
    - disk-detect.sh: run update-dev after installing multipath and sg3.
    - debian/control: Depends on multipath-udeb (>= 0.5.0), which introduces
      the multipath device naming changes above.
    - Remove dm-emc from the multipath modules, since it's gone since
      2.6.27.
    - Improve checks for dm-* drivers being present to avoid relying on them
      being built as modules.
    - Bump question to load driver injection disk from medium to high, and
      raise driver-injection-disk package priority to standard. Thus the
      udeb will be loaded by default, but before installing any debs from
      the OEMDRV a confirmation question will be asked (default true, can be
      pre-seeded)
    - Drop priorities of a couple of ethdetect questions to medium.
    - Exit zero if you continue all the way through ethdetect's errors about
      having no network interfaces.
    - Remove FireWire Ethernet support.
    - disk-detect.sh: multipath: reload udev rules before re-add devices
      to guarantee all devices may get new udev properties
    - disk-detect.sh: multipath: deactivate LVM volumes before multipath
      discovery to unlock individual paths
    - disk-detect.sh: multipath: deactivate md arrays before multipath
      discovery to unlock individual paths
    - disk-detect.sh: use iscsi-start wrapper in partman-iscsi to be able to set
      a custom iSCSI initiatorName from the installer.
    - disk-detect.sh: load SCSI device handlers before SCSI low-level
      device drivers.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 04 Apr 2016 14:37:02 +0100

hw-detect (1.117) unstable; urgency=medium

  * Team upload

  [ Hendrik Brueckner ]
  * Improve and split harddrive detection into DASD and SCSI dependency
    on s390x (Closes: #818586)

 -- Philipp Kern <pkern@debian.org>  Sun, 03 Apr 2016 11:40:24 +0200

hw-detect (1.116) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

 -- Christian Perrier <bubulle@debian.org>  Tue, 02 Feb 2016 07:04:13 +0100

hw-detect (1.115) unstable; urgency=medium

  [ Colin Watson ]
  * Compress devnames-static.gz using "gzip -n" (Lintian).

 -- Christian Perrier <bubulle@debian.org>  Sun, 17 Jan 2016 21:31:03 +0100

hw-detect (1.114ubuntu4) xenial; urgency=medium

  [ Mauricio Faria de Oliveira ]
  * disk-detect.sh: multipath: reload udev rules before re-add devices
    to guarantee all devices may get new udev properties (LP: #1549456)
  * disk-detect.sh: multipath: deactivate LVM volumes before multipath
    discovery to unlock individual paths (LP: #1549504)
  * disk-detect.sh: multipath: deactivate md arrays before multipath
    discovery to unlock individual paths (LP: #1549506)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 21 Mar 2016 14:24:03 -0400

hw-detect (1.114ubuntu3) xenial; urgency=medium

  * disk-detect.sh: use iscsi-start wrapper in partman-iscsi to be able to set
    a custom iSCSI initiatorName from the installer.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 01 Mar 2016 16:39:30 -0500

hw-detect (1.114ubuntu2) xenial; urgency=medium

  * disk-detect.sh: load SCSI device handlers before SCSI low-level
    device drivers (LP: #1546606).

 -- Mauricio Faria de Oliveira <mauricfo@linux.vnet.ibm.com>  Wed, 17 Feb 2016 10:19:45 -0200

hw-detect (1.114ubuntu1) xenial; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Add an 'archdetect-deb' package, containing /usr/bin/archdetect.  Add
      an archdetect(1) manual page.
    - Add support for activating fakeraid devices with mdadm.
    - disk-detect.sh: Do not check the kernel command line for any option
      to enable dmraid support. If functional dmraid arrays are found, the
      user will be asked if they wish to activate them.
    - 'dmraid -c -s' changed its output format; cope with both old and new.
    - Make dmraid logging a bit neater.
    - Offer iSCSI targets for preseeding if partman-iscsi is available and
      no disk devices are found.
    - disk-detect.sh: Use mpath[a-z] now rather than mpath[0-9] to identify
      multipath devices and thus know to install partman-multipath.
    - disk-detect.sh: run update-dev after installing multipath and sg3.
    - debian/control: Depends on multipath-udeb (>= 0.5.0), which introduces
      the multipath device naming changes above.
    - Remove dm-emc from the multipath modules, since it's gone since
      2.6.27.
    - Improve checks for dm-* drivers being present to avoid relying on them
      being built as modules.
    - Bump question to load driver injection disk from medium to high, and
      raise driver-injection-disk package priority to standard. Thus the
      udeb will be loaded by default, but before installing any debs from
      the OEMDRV a confirmation question will be asked (default true, can be
      pre-seeded)


## hw-detect 1.117ubuntu2.3

=== debian/rules ===
#! /usr/bin/make -f
include /usr/share/dpkg/default.mk

%:
	dh $@

DISK_DETECT=false
ifneq (,$(filter $(DEB_HOST_ARCH),s390x))
DISK_DETECT=true
endif

override_dh_auto_install:
	$(foreach PACKAGE, $(shell dh_listpackages), \
	  $(MAKE) install-$(PACKAGE) DESTDIR=$(CURDIR)/debian/$(PACKAGE);)

override_dh_installdebconf:
	dh_installdebconf
	sed 's/#MULTIPATH_DETECT#/$(DISK_DETECT)/' -i debian/disk-detect/DEBIAN/templates

## hw-detect 1.117ubuntu2.3%2B8.0trisquel1

=== debian/changelog ===
hw-detect (1.117ubuntu2.3+8.0trisquel1) flidas; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 24 Feb 2018 12:19:03 +0000

hw-detect (1.117ubuntu2.3) xenial; urgency=medium

  * hw-detect.sh: install opal-prd on OpenPOWER machines. LP: #1555904
  * Drop hw-detect.pre-pkgsel.d/20install-hwpackages, as it installs
    universe package, which is probably in itself not useful on
    Ubuntu. LP: #1577833

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 21 Feb 2018 15:36:54 +0000

hw-detect (1.117ubuntu2.2) xenial; urgency=medium

  * disk-detect.sh: unconditionally modprobe dm-service-time and
    dm-queue-length multipath path selector modules alongside dm-round-robin.
    (LP: #1673350)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 14 Jun 2017 16:15:14 -0400

hw-detect (1.117ubuntu2.1) xenial; urgency=medium

  * {hw-,disk-,net}detect.sh, check-missing-firmware.sh: use 'modprobe -b'
    in order to honor module blacklisting from kernel cmdline parameters.
    (LP: #1602717)

 -- Mauricio Faria de Oliveira <mauricfo@linux.vnet.ibm.com>  Thu, 29 Sep 2016 09:52:10 -0400

## hw-detect 1.117ubuntu3.1

=== debian/changelog ===
hw-detect (1.117ubuntu3.1) yakkety; urgency=medium

  * disk-detect.sh: unconditionally modprobe dm-service-time and
    dm-queue-length multipath path selector modules alongside dm-round-robin.
    (LP: #1673350)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 14 Jun 2017 16:17:19 -0400

hw-detect (1.117ubuntu3) yakkety; urgency=medium

  * {hw-,disk-,net}detect.sh, check-missing-firmware.sh: use 'modprobe -b'
    in order to honor module blacklisting from kernel cmdline parameters.
    (LP: #1602717)

 -- Mauricio Faria de Oliveira <mauricfo@linux.vnet.ibm.com>  Thu, 29 Sep 2016 09:52:10 -0400

## hw-detect 1.117ubuntu6.18.04.1

=== debian/changelog ===
hw-detect (1.117ubuntu6.18.04.1) bionic; urgency=medium

  * Add iSCSI iBFT support to the installer (LP: #1817321)
    - disk-detect.templates: add option 'disk-detect/ibft/enable'
      for preseeding.
    - disk-detect.sh: detect iSCSI iBFT disks with
      'disk-detect/ibft/enable=true'.

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Fri, 22 Mar 2019 18:24:15 -0300

hw-detect (1.117ubuntu6) bionic; urgency=medium

  * Drop hw-detect.pre-pkgsel.d/20install-hwpackages, as it installs
    universe package, which is probably in itself not useful on
    Ubuntu. LP: #1577833

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 15 Feb 2018 12:27:37 +0000

hw-detect (1.117ubuntu5) bionic; urgency=medium

  * hw-detect.sh: install opal-prd on OpenPOWER machines. LP: #1555904

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 29 Nov 2017 12:55:19 +0000

hw-detect (1.117ubuntu4) zesty; urgency=medium

  * disk-detect.sh: unconditionally modprobe dm-service-time and
    dm-queue-length multipath path selector modules alongside dm-round-robin.
    (LP: #1673350)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 27 Mar 2017 21:23:41 -0400

## hw-detect 1.117ubuntu6.18.04.1%2B9.0trisquel1

=== debian/changelog ===
hw-detect (1.117ubuntu6.18.04.1+9.0trisquel1) etiona; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 13 Sep 2019 21:59:44 +0000

## hw-detect 1.117ubuntu6.18.10.1

=== debian/changelog ===
hw-detect (1.117ubuntu6.18.10.1) cosmic; urgency=medium

  * Add iSCSI iBFT support to the installer (LP: #1817321)
    - disk-detect.templates: add option 'disk-detect/ibft/enable'
      for preseeding.
    - disk-detect.sh: detect iSCSI iBFT disks with
      'disk-detect/ibft/enable=true'.

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Fri, 22 Mar 2019 18:24:15 -0300

## hw-detect 1.117ubuntu6.19.04.1

=== debian/changelog ===
hw-detect (1.117ubuntu6.19.04.1) disco; urgency=medium

  * Add iSCSI iBFT support to the installer (LP: #1817321)
    - disk-detect.templates: add option 'disk-detect/ibft/enable'
      for preseeding.
    - disk-detect.sh: detect iSCSI iBFT disks with
      'disk-detect/ibft/enable=true'.

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Fri, 22 Mar 2019 18:24:15 -0300

## hw-detect 1.117ubuntu7%2B10.0trisquel1

=== debian/changelog ===
hw-detect (1.117ubuntu7+10.0trisquel1) nabia; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 25 Jun 2021 18:48:41 +0000

hw-detect (1.117ubuntu7) eoan; urgency=medium

  * Add iSCSI iBFT support to the installer (LP: #1817321)
    - disk-detect.templates: add option 'disk-detect/ibft/enable' for preseeding.
    - disk-detect.sh: detect iSCSI iBFT disks with 'disk-detect/ibft/enable=true'.

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Fri, 22 Mar 2019 18:24:15 -0300

## hw-detect 1.123

=== debian/changelog ===
hw-detect (1.123) unstable; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * disk-detect.sh: multipath-tools now generates mpath devices names in the
    form 'mpath[a-z]+', rather than 'mpath[0-9]+' (Closes: #806713, #854565).
  * disk-detect.sh: run update-dev before probing for devices
    (Closes: #843895).

  [ Cyril Brulebois ]
  * Merge the changes above, with thanks to Mathieu Trudel-Lapierre,
    Hendrik Brueckner, and Allan Jacobsen; and apologies for the delay.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 10 Feb 2017 19:13:20 +0100

hw-detect (1.122) unstable; urgency=medium

  * disk-detect: Stop trying to load dm-emc, since this module is long
    gone: it seems to have been removed in v2.6.27-rc1! Thanks to Allan
    Jacobsen for the report (Closes: #852285).

 -- Cyril Brulebois <kibi@debian.org>  Sat, 04 Feb 2017 01:09:36 +0100

hw-detect (1.121) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Update firmware-map as of 2017-01-15.

 -- Christian Perrier <bubulle@debian.org>  Mon, 16 Jan 2017 07:11:05 +0100

hw-detect (1.120) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Update firmware-map as of 2016-11-22.

 -- Christian Perrier <bubulle@debian.org>  Tue, 06 Dec 2016 05:56:51 +0100

hw-detect (1.119) unstable; urgency=medium

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Aug 2016 21:52:39 +0200

hw-detect (1.118) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Stop trying to install libc6-i686 and libc6-sparcv9b optimized
    libraries as these packages are now gone.

  [ Cyril Brulebois ]
  * Introduce a build-firmware-map script, which makes it possible to
    build a firmware->package mapping. The resulting mapping can then be
    used to inform users of firmware packages they might be interested in
    instead of letting them perform a manual lookup.
  * Update Makefile to support a "firmware-map" target to refresh this
    mapping, and to ship the mapping as /usr/share/hw-detect/firmware-map
    in the hw-detect package.

 -- Christian Perrier <bubulle@debian.org>  Tue, 24 May 2016 08:58:00 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.76)
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/hw-detect.git
-Vcs-Git: git://anonscm.debian.org/d-i/hw-detect.git
+Vcs-Browser: https://anonscm.debian.org/cgit/d-i/hw-detect.git
+Vcs-Git: https://anonscm.debian.org/git/d-i/hw-detect.git
 
 Package: hw-detect
 Package-Type: udeb
@@ -24,8 +24,10 @@
 
 Package: disk-detect
 Package-Type: udeb
-Architecture: all
-Depends: cdebconf-udeb (>= 0.38), hw-detect, di-utils (>= 1.13), pciutils-udeb
+Architecture: any
+Depends: cdebconf-udeb (>= 0.38), hw-detect, di-utils (>= 1.13), pciutils-udeb,
+	 harddrive-detection-dasd [s390x],
+	 harddrive-detection-zfcp [s390x]
 Priority: optional
 Provides: harddrive-detection
 Enhances: hw-detect

## hw-detect 1.127

=== debian/changelog ===
hw-detect (1.127) unstable; urgency=medium

  [ Updated translations ]
  * Hungarian (hu.po) by Dr. Nagy Elemér Károly
  * Lithuanian (lt.po) by Rimas Kudelis
  * Swedish (sv.po) by Anders Jonsson

 -- Christian Perrier <bubulle@debian.org>  Thu, 30 Nov 2017 21:06:57 +0100

hw-detect (1.126) unstable; urgency=medium

  [ Updated translations ]
  * Greek (el.po) by Sotirios Vrachas
  * Estonian (et.po) by Kristjan Räts
  * Swedish (sv.po) by Anders Jonsson

 -- Christian Perrier <bubulle@debian.org>  Sat, 25 Nov 2017 09:10:09 +0100

hw-detect (1.125) unstable; urgency=medium

  [ Updated translations ]
  * Albanian (sq.po) by Redon Skikuli

 -- Christian Perrier <bubulle@debian.org>  Sun, 17 Sep 2017 08:13:26 +0200

hw-detect (1.124) unstable; urgency=medium

  [ Updated translations ]
  * Simplified Chinese (zh_CN.po) by Yangfl

 -- Christian Perrier <bubulle@debian.org>  Mon, 26 Jun 2017 12:24:24 +0200

## hw-detect 1.131

=== debian/changelog ===
hw-detect (1.131) unstable; urgency=medium

  [ Updated translations ]
  * Hebrew (he.po) by Yaron Shahrabani
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Thu, 15 Feb 2018 06:12:46 +0100

hw-detect (1.130) unstable; urgency=medium

  [ Updated translations ]
  * Persian (fa.po) by nima sahraneshin
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Thu, 01 Feb 2018 18:21:09 +0100

hw-detect (1.129) unstable; urgency=medium

  [ Updated translations ]
  * Panjabi (pa.po) by Aman ALam
  * Serbian (sr.po) by Filipovic Dragan

 -- Christian Perrier <bubulle@debian.org>  Fri, 12 Jan 2018 15:46:39 +0100

hw-detect (1.128) unstable; urgency=medium

  [ Updated translations ]
  * Esperanto (eo.po) by Felipe Castro
  * Simplified Chinese (zh_CN.po) by Boyuan Yang

 -- Christian Perrier <bubulle@debian.org>  Sun, 24 Dec 2017 09:52:01 +0100

## hw-detect 1.132

=== debian/changelog ===
hw-detect (1.132) unstable; urgency=medium

  [ Updated translations ]
  * Indonesian (id.po) by Andika Triwidada

 -- Christian Perrier <bubulle@debian.org>  Wed, 28 Mar 2018 07:26:39 +0200

## hw-detect 1.133

=== debian/changelog ===
hw-detect (1.133) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

  [ Updated translations ]
  * Hebrew (he.po) by Yaron Shahrabani

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 11 Aug 2018 23:11:08 +0200

## hw-detect 1.134

=== debian/changelog ===
hw-detect (1.134) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Galician (gl.po) by mantinan
  * Croatian (hr.po) by Valentin Vidic
  * Marathi (mr.po) by Nayan Nakhare

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 30 Oct 2018 18:30:45 +0100

## hw-detect 1.137

=== debian/changelog ===
hw-detect (1.137) unstable; urgency=medium
  * Team upload

  [ Updated translations ]
  * Ukrainian (uk.po) by Anton Gladky

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 27 Mar 2019 21:56:08 +0100

hw-detect (1.136) unstable; urgency=medium
  * Team upload

  [ Updated translations ]
  * Vietnamese (vi.po) by Trần Ngọc Quân

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 06 Mar 2019 22:16:49 +0100

hw-detect (1.135) unstable; urgency=medium
  * Team upload

  * Remove trailing whitespaces from changelog file, to fix lintian tag.
  * No longer use invalid 'modprobe -l' call, replace by 'modprobe -qn' to
    query available modules (Closes: #870448).

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen
  * Finnish (fi.po) by Juhani Numminen

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 09 Feb 2019 16:22:22 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.76)
-Vcs-Browser: https://anonscm.debian.org/cgit/d-i/hw-detect.git
-Vcs-Git: https://anonscm.debian.org/git/d-i/hw-detect.git
+Vcs-Browser: https://salsa.debian.org/installer-team/hw-detect
+Vcs-Git: https://salsa.debian.org/installer-team/hw-detect.git
 
 Package: hw-detect
 Package-Type: udeb

## hw-detect 1.137+nmu1

=== debian/changelog ===
hw-detect (1.137+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 13:40:28 +0800

## hw-detect 1.142

=== Makefile ===
--- 
+++ 
@@ -79,6 +79,8 @@
 else
 	$(INSTALL) detect-stub.sh $(bindir)/hw-detect
 endif
+	$(INSTALL) -d $(sharedir)
+	$(INSTALL_DATA) firmware-map $(sharedir)/firmware-map
 
 install-ethdetect: ethdetect.sh
 	$(INSTALL) -d $(bindir) $(netdir)
@@ -110,4 +112,8 @@
 	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_ARCH) -c $<
 
 devnames-static.gz: devnames-static.txt
-	grep -v '^#' $< | gzip -9c > $@
+	grep -v '^#' $< | gzip -9cn > $@
+
+.PHONY: firmware-map
+firmware-map:
+	./build-firmware-map --verbose > $@

=== debian/changelog ===
hw-detect (1.142) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Greek (el.po) by Vangelis Skarmoutsos
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Lithuanian (lt.po) by Kornelijus Tvarijanavičius
  * Punjabi (Gurmukhi) (pa.po) by Aman ALam

  [ New translations ]
  * Kabyle (kab.po) by Slimane Selyan Amiri
  * Occitan (oc.po) by Quentin PAGÈS

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 04 Nov 2020 19:22:45 +0100

hw-detect (1.141) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * French (fr.po) by Baptiste Jammet
  * Icelandic (is.po) by Sveinn í Felli
  * Polish (pl.po) by Bartosz Feński

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 20 Sep 2020 22:24:07 +0200

hw-detect (1.140) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Hebrew (he.po) by Yaron Shahrabani
  * Dutch (nl.po) by Frans Spiesschaert
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 10 May 2020 18:03:38 +0200

hw-detect (1.139) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 02 Feb 2020 19:08:46 +0100

hw-detect (1.138) unstable; urgency=medium

  * Team upload

  [ Cyril Brulebois ]
  * Remove Christian Perrier from Uploaders, with many thanks for all
    his contributions over the years! (Closes: #927504)

  [ Raphaël Hertzog ]
  * Add finish-install.d/08hw-detect.sh to install virtualization related
    packages when virtualization is detected. (Closes: #782287)

  [ Holger Wansing ]
  * Add comment for translators, to keep main menu entry below a 55 columns
    limit. This updates all po|pot files.

  [ Updated translations ]
  * Arabic (ar.po) by ButterflyOfFire
  * Croatian (hr.po) by gogogogi
  * Portuguese (pt.po) by Miguel Figueiredo

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 12 Oct 2019 23:20:41 +0200

## hw-detect 1.143

=== debian/changelog ===
hw-detect (1.143) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Hindi (hi.po) by KushagraKarira
  * Tamil (ta.po) by Vasudevan Tirumurti
  * Traditional Chinese (zh_TW.po) by louies0623

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 13 Mar 2021 19:19:38 +0100

## hw-detect 1.144

=== debian/changelog ===
hw-detect (1.144) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Arabic (ar.po) by Fahim Sabah

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 30 May 2021 22:33:19 +0200
